%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define modn     XML-SAX
%define modv     0.96


Summary:         A simple API for XML
Name:            perl-%{modn}
Version:         %{modv}
Release:         1%{?dist}%{?pext}
License:         GPL+ or Artistic
Group:           Development/Libraries
Source0:         http://search.cpan.org/CPAN/authors/id/G/GR/GRANTM/%{modn}-%{modv}.tar.gz
URL:             http://search.cpan.org/dist/%{modn}/
Buildroot:       %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:          Grant McLean <grantm@cpan.org>
Provides:        perl(XML::SAX::PurePerl::DTDDecls)
Provides:        perl(XML::SAX::PurePerl::XMLDecl)
Provides:        perl(XML::SAX::PurePerl::DocType)
Provides:        perl(XML::SAX::PurePerl::EncodingDetect)
Provides:        perl(XML::SAX::PurePerl::NoUnicodeExt)
Provides:        perl(XML::SAX::PurePerl::UnicodeExt)
Provides:        perl(XML::SAX::PurePerl::Reader::NoUnicodeExt)
Provides:        perl(XML::SAX::PurePerl::Reader::UnicodeExt)
Requires:        perl(:MODULE_COMPAT_%{perl_version})
Requires(post):  %{__perl}
Requires(preun): %{__perl}
BuildRequires:   perl(ExtUtils::MakeMaker)
BuildRequires:   perl(Fatal)
BuildRequires:   perl(File::Path)
BuildRequires:   perl(File::Spec)
BuildRequires:   perl(File::Temp)
BuildRequires:   perl(IO::File)
BuildRequires:   perl(Test)
BuildRequires:   perl(XML::NamespaceSupport) >= 0.03
BuildArch:       noarch


%description
XML::SAX is a SAX parser access API for Perl. It includes classes and
APIs required for implementing SAX drivers, along with a factory class
for returning any SAX parser installed on the user's system.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}


%check
%{?el3:%{__rm} t/14encoding.t}
%{__make} test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;
find ${RPM_BUILD_ROOT} -depth  -empty -type d    -exec rmdir      {} \;

%{__chmod} -R u+w ${RPM_BUILD_ROOT}/*


%post
%{__perl} -MXML::SAX -e \
	'XML::SAX->add_parser(q(XML::SAX::PurePerl))->save_parsers()' 2>/dev/null


%preun
if [ $1 = 0 ]; then	# Remove
  %{__perl} -MXML::SAX -e \
	'XML::SAX->remove_parser(q(XML::SAX::PurePerl))->save_parsers()'
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*


%changelog
* Wed Feb 11 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.96-1
- New version (0.96)

* Sun Jun 01 2008 Peter Pramberger <peterpramb@member.fsf.org> - 0.16-1
- Initial build
